<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/AreaExposure.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d8b/_area_exposure_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AreaExposure.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d8b/_area_exposure_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d70/class_area_exposure_mdfr.html">AreaExposureMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">EVENT_1_INTERVAL_MIN</a> = 3;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">    4</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">EVENT_1_INTERVAL_MAX</a> = 5;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#acd58c8d8d6d10fd9de33f6774ceab520">    6</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#acd58c8d8d6d10fd9de33f6774ceab520">AGENTS_PER_SEC</a> = 5;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">m_NextEvent1</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">m_Time1</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a7971fc78ddfd729a8889d209afcc84cb">   10</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a7971fc78ddfd729a8889d209afcc84cb">EVENT_2_INTERVAL_MIN</a> = 13;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a42cd9d3c3eade2117b3648645a2633cf">   11</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a42cd9d3c3eade2117b3648645a2633cf">EVENT_2_INTERVAL_MAX</a> = 18;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a1b5fa0304da01a9c63409701ad46f2af">   14</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a1b5fa0304da01a9c63409701ad46f2af">AGENT_DOSE_PER_BS_SEC</a> = 0.33;<span class="comment">//how many agents will be injected in one sec per a single bleeding source</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#ace1a11b136510fcddf836d942637bcbf">   16</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ace1a11b136510fcddf836d942637bcbf">m_NextEvent2</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">   17</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">m_Time2</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#ade76266acbb5666f9fa3ee0f86db8858">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#ade76266acbb5666f9fa3ee0f86db8858">Init</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_AREAEXPOSURE;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#af38d7a2ebcfdc86567caa51ca9d70458">DEFAULT_TICK_TIME_INACTIVE_LONG</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ac5b38c9a7d45b3576a7028958f9abcca">DEFAULT_TICK_TIME_ACTIVE_SHORT</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a>                = <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>.MODIFIER_SYNC_ZONE_EXPOSURE;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#ac863ee8fde4b2781bc6c44acb13cc886">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#ac863ee8fde4b2781bc6c44acb13cc886">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#aec57590da8aec51fb127d75f621d3edd">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#aec57590da8aec51fb127d75f621d3edd">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_class" href="../../d9/db4/class_json_data_contaminated_areas.html">JsonDataContaminatedAreas</a> data = <a class="code hl_class" href="../../d4/d6e/class_effect_area_loader.html">EffectAreaLoader</a>.<a class="code hl_function" href="../../d4/d6e/class_effect_area_loader.html#a62c9974fe44b614263cab35788c487b4">GetData</a>();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (data)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            MiscGameplayFunctions.TeleportCheck(player, data.<a class="code hl_variable" href="../../d9/db4/class_json_data_contaminated_areas.html#ae8782bcb1f35e3e707492925dc4c10d4">SafePositions</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="comment">//make the player cough immediately</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordtype">float</span> transmitted = <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a552459b433ae4464099d108f360fe092">TransmitAgents</a>(player, 1);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span>(transmitted) </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_COUGH);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">m_NextEvent1</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">EVENT_1_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">EVENT_1_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#ae66099bd99f7a4665418aa8e44f0c9ff">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#ae66099bd99f7a4665418aa8e44f0c9ff">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a8f1815df2f65bf141a9ce846198e6788">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a8f1815df2f65bf141a9ce846198e6788">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a85bea05614756863760841f6204c12ae">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a85bea05614756863760841f6204c12ae">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">        #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span>(!player.GetCanBeDestroyed())</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordtype">float</span> transmitted = <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a552459b433ae4464099d108f360fe092">TransmitAgents</a>(player, <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#acd58c8d8d6d10fd9de33f6774ceab520">AGENTS_PER_SEC</a> * deltaT);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">m_Time2</a> += deltaT;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (transmitted)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">m_Time1</a> += deltaT;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">m_Time1</a> &gt;= <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">m_NextEvent1</a> )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_COUGH);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">if</span>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">RandomFloat01</a>() &lt; 0.25)<span class="comment">//creates a cough cooldown once in a while</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">m_NextEvent1</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">EVENT_1_INTERVAL_MIN</a> * 2, <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">EVENT_1_INTERVAL_MAX</a> * 2 );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                    <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">m_NextEvent1</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">EVENT_1_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">EVENT_1_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">m_Time1</a> = 0;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">m_Time2</a> &gt;= <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ace1a11b136510fcddf836d942637bcbf">m_NextEvent2</a> )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a79d5d3e4d6d259b14e872e78b14a0c58">BleedingSourceCreateCheck</a>(player);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">m_Time2</a> = 0;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#ace1a11b136510fcddf836d942637bcbf">m_NextEvent2</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a7971fc78ddfd729a8889d209afcc84cb">EVENT_2_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a42cd9d3c3eade2117b3648645a2633cf">EVENT_2_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a0a2dfa4ced68a90c1449918e8360439a">ApplyAgentsToBleedingSources</a>(player, deltaT);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a0a2dfa4ced68a90c1449918e8360439a">  106</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a0a2dfa4ced68a90c1449918e8360439a">ApplyAgentsToBleedingSources</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordtype">int</span> count = player.GetBleedingSourceCount();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordtype">float</span> agent_dose = count * <a class="code hl_variable" href="../../d2/d70/class_area_exposure_mdfr.html#a1b5fa0304da01a9c63409701ad46f2af">AGENT_DOSE_PER_BS_SEC</a> * deltaT;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        player.InsertAgent(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.CHEMICAL_POISON, agent_dose);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a79d5d3e4d6d259b14e872e78b14a0c58">  115</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a79d5d3e4d6d259b14e872e78b14a0c58">BleedingSourceCreateCheck</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordtype">int</span> free_bs_locations = 0;<span class="comment">//bitmask where each bit set to 1 represents available bleeding source location</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        set&lt;int&gt; list = player.GetBleedingManagerServer().GetBleedingSourcesLocations();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">foreach</span>(<span class="keywordtype">int</span> location: list)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="keywordtype">float</span> prot_level = PluginTransmissionAgents.GetProtectionLevelEx(<a class="code hl_variable" href="../../dc/d5f/group___a_g_t_i_ds.html#ga6447e2b7b3c492fe03106adceb63939b">DEF_CHEMICAL</a>, location, player, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordtype">float</span> dice_throw = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">RandomFloat01</a>();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">if</span>(dice_throw &gt; prot_level)</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                free_bs_locations = player.GetBleedingManagerServer().GetFreeBleedingSourceBitsByInvLocation(location) | free_bs_locations;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordtype">int</span> num_of_free_bs = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">GetNumberOfSetBits</a>(free_bs_locations);<span class="comment">//gets us the number of bits set to 1, where each represents a free bleeding source location</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">if</span> ( num_of_free_bs &gt; 0 )</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordtype">int</span> random_bs_index = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0, num_of_free_bs - 1 );<span class="comment">// - 1 on the max to convert count to index</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordtype">int</span> random_bs_bit = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(2, <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga50c05f1934c74c7501f3b0e9842a6066">GetNthBitSet</a>(free_bs_locations,random_bs_index));</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            player.GetBleedingManagerServer().AttemptAddBleedingSourceDirectly(random_bs_bit, <a class="code hl_enumeration" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a>.CONTAMINATED);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d2/d70/class_area_exposure_mdfr.html#a552459b433ae4464099d108f360fe092">  140</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d2/d70/class_area_exposure_mdfr.html#a552459b433ae4464099d108f360fe092">TransmitAgents</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> count)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        PluginTransmissionAgents plugin = PluginTransmissionAgents.Cast(<a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>(PluginTransmissionAgents));</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> plugin.TransmitAgentsEx(null, player, <a class="code hl_variable" href="../../dc/d5f/group___a_g_t_i_ds.html#gabdc9117e072708a9cf9098b86f53f485">AGT_AIRBOURNE_CHEMICAL</a>, count, <a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.CHEMICAL_POISON);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>};</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_aeba8c9bb130127e78cbffdff6a08cb3f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a></div><div class="ttdeci">eBleedingSourceType</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00001">BleedingSource.c:2</a></div></div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a13bf3a75b607c3eb20546dbb90db2f2f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a></div><div class="ttdeci">void DisableDeactivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00083">ModifierBase.c:83</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a771f17acf34676182be64e41430920e6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a></div><div class="ttdeci">void DisableActivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00078">ModifierBase.c:78</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa13e9ceb481752169c6aa44663e496d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a></div><div class="ttdeci">eModifierSyncIDs m_SyncID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00029">ModifierBase.c:29</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a5c1716899a303fbac8533337fbc6ceb0"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></div><div class="ttdeci">eModifierSyncIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">ModifiersManager.c:3</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ac5b38c9a7d45b3576a7028958f9abcca"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ac5b38c9a7d45b3576a7028958f9abcca">DEFAULT_TICK_TIME_ACTIVE_SHORT</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE_SHORT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00032">ModifiersManager.c:32</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_af38d7a2ebcfdc86567caa51ca9d70458"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#af38d7a2ebcfdc86567caa51ca9d70458">DEFAULT_TICK_TIME_INACTIVE_LONG</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE_LONG</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00034">ModifiersManager.c:34</a></div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00314">PluginManager.c:314</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html">AreaExposureMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00001">AreaExposure.c:2</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a0a2dfa4ced68a90c1449918e8360439a"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a0a2dfa4ced68a90c1449918e8360439a">AreaExposureMdfr::ApplyAgentsToBleedingSources</a></div><div class="ttdeci">void ApplyAgentsToBleedingSources(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00106">AreaExposure.c:106</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a0bc696823ef1f68ab00b28c75f0a5d0f"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a0bc696823ef1f68ab00b28c75f0a5d0f">AreaExposureMdfr::EVENT_1_INTERVAL_MIN</a></div><div class="ttdeci">const int EVENT_1_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00003">AreaExposure.c:3</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a1b5fa0304da01a9c63409701ad46f2af"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a1b5fa0304da01a9c63409701ad46f2af">AreaExposureMdfr::AGENT_DOSE_PER_BS_SEC</a></div><div class="ttdeci">const float AGENT_DOSE_PER_BS_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00014">AreaExposure.c:14</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a42cd9d3c3eade2117b3648645a2633cf"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a42cd9d3c3eade2117b3648645a2633cf">AreaExposureMdfr::EVENT_2_INTERVAL_MAX</a></div><div class="ttdeci">const int EVENT_2_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00011">AreaExposure.c:11</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a552459b433ae4464099d108f360fe092"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a552459b433ae4464099d108f360fe092">AreaExposureMdfr::TransmitAgents</a></div><div class="ttdeci">float TransmitAgents(PlayerBase player, float count)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00140">AreaExposure.c:140</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a59926c020ae19c6454caecabd4c04aea"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a59926c020ae19c6454caecabd4c04aea">AreaExposureMdfr::m_NextEvent1</a></div><div class="ttdeci">protected float m_NextEvent1</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00007">AreaExposure.c:7</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a65d9385b7270b3fa875be33fa34f7e8b"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a65d9385b7270b3fa875be33fa34f7e8b">AreaExposureMdfr::m_Time2</a></div><div class="ttdeci">protected float m_Time2</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00017">AreaExposure.c:17</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a7971fc78ddfd729a8889d209afcc84cb"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a7971fc78ddfd729a8889d209afcc84cb">AreaExposureMdfr::EVENT_2_INTERVAL_MIN</a></div><div class="ttdeci">const int EVENT_2_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00010">AreaExposure.c:10</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a79d5d3e4d6d259b14e872e78b14a0c58"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a79d5d3e4d6d259b14e872e78b14a0c58">AreaExposureMdfr::BleedingSourceCreateCheck</a></div><div class="ttdeci">void BleedingSourceCreateCheck(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00115">AreaExposure.c:115</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a85bea05614756863760841f6204c12ae"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a85bea05614756863760841f6204c12ae">AreaExposureMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00064">AreaExposure.c:64</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a87eaf417bfe4b5252b98dbb1f8919e44"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a87eaf417bfe4b5252b98dbb1f8919e44">AreaExposureMdfr::m_Time1</a></div><div class="ttdeci">protected float m_Time1</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00008">AreaExposure.c:8</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_a8f1815df2f65bf141a9ce846198e6788"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#a8f1815df2f65bf141a9ce846198e6788">AreaExposureMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00059">AreaExposure.c:59</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_ac863ee8fde4b2781bc6c44acb13cc886"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#ac863ee8fde4b2781bc6c44acb13cc886">AreaExposureMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00033">AreaExposure.c:33</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_acd58c8d8d6d10fd9de33f6774ceab520"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#acd58c8d8d6d10fd9de33f6774ceab520">AreaExposureMdfr::AGENTS_PER_SEC</a></div><div class="ttdeci">const float AGENTS_PER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00006">AreaExposure.c:6</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_ace1a11b136510fcddf836d942637bcbf"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#ace1a11b136510fcddf836d942637bcbf">AreaExposureMdfr::m_NextEvent2</a></div><div class="ttdeci">protected float m_NextEvent2</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00016">AreaExposure.c:16</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_ade76266acbb5666f9fa3ee0f86db8858"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#ade76266acbb5666f9fa3ee0f86db8858">AreaExposureMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00021">AreaExposure.c:21</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_ae59348a21be6713947130c25edc8caa3"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#ae59348a21be6713947130c25edc8caa3">AreaExposureMdfr::EVENT_1_INTERVAL_MAX</a></div><div class="ttdeci">const int EVENT_1_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00004">AreaExposure.c:4</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_ae66099bd99f7a4665418aa8e44f0c9ff"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#ae66099bd99f7a4665418aa8e44f0c9ff">AreaExposureMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00055">AreaExposure.c:55</a></div></div>
<div class="ttc" id="aclass_area_exposure_mdfr_html_aec57590da8aec51fb127d75f621d3edd"><div class="ttname"><a href="../../d2/d70/class_area_exposure_mdfr.html#aec57590da8aec51fb127d75f621d3edd">AreaExposureMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d8b/_area_exposure_8c_source.html#l00038">AreaExposure.c:38</a></div></div>
<div class="ttc" id="aclass_effect_area_loader_html"><div class="ttname"><a href="../../d4/d6e/class_effect_area_loader.html">EffectAreaLoader</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfd/_contaminated_area_loader_8c_source.html#l00002">ContaminatedAreaLoader.c:3</a></div></div>
<div class="ttc" id="aclass_effect_area_loader_html_a62c9974fe44b614263cab35788c487b4"><div class="ttname"><a href="../../d4/d6e/class_effect_area_loader.html#a62c9974fe44b614263cab35788c487b4">EffectAreaLoader::GetData</a></div><div class="ttdeci">static JsonDataContaminatedAreas GetData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfd/_contaminated_area_loader_8c_source.html#l00098">ContaminatedAreaLoader.c:98</a></div></div>
<div class="ttc" id="aclass_json_data_contaminated_areas_html"><div class="ttname"><a href="../../d9/db4/class_json_data_contaminated_areas.html">JsonDataContaminatedAreas</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00002">JsonDataContaminatedArea.c:3</a></div></div>
<div class="ttc" id="aclass_json_data_contaminated_areas_html_ae8782bcb1f35e3e707492925dc4c10d4"><div class="ttname"><a href="../../d9/db4/class_json_data_contaminated_areas.html#ae8782bcb1f35e3e707492925dc4c10d4">JsonDataContaminatedAreas::SafePositions</a></div><div class="ttdeci">ref array&lt; ref array&lt; float &gt; &gt; SafePositions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00005">JsonDataContaminatedArea.c:5</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___a_g_t_i_ds_html_ga6447e2b7b3c492fe03106adceb63939b"><div class="ttname"><a href="../../dc/d5f/group___a_g_t_i_ds.html#ga6447e2b7b3c492fe03106adceb63939b">DEF_CHEMICAL</a></div><div class="ttdeci">const int DEF_CHEMICAL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00459">constants.c:459</a></div></div>
<div class="ttc" id="agroup___a_g_t_i_ds_html_gabdc9117e072708a9cf9098b86f53f485"><div class="ttname"><a href="../../dc/d5f/group___a_g_t_i_ds.html#gabdc9117e072708a9cf9098b86f53f485">AGT_AIRBOURNE_CHEMICAL</a></div><div class="ttdeci">const int AGT_AIRBOURNE_CHEMICAL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00456">constants.c:456</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0721fce39300fa5a6a172f4a5f197188"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">Math::RandomFloat01</a></div><div class="ttdeci">static float RandomFloat01()</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00106">EnMath.c:106</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___math_html_ga50c05f1934c74c7501f3b0e9842a6066"><div class="ttname"><a href="../../d5/d98/group___math.html#ga50c05f1934c74c7501f3b0e9842a6066">Math::GetNthBitSet</a></div><div class="ttdeci">static proto int GetNthBitSet(int value, int n)</div><div class="ttdoc">returns the the index of n-th bit set in a bit mask counting from the right, for instance,...</div></div>
<div class="ttc" id="agroup___math_html_gab5e095de61335667a5fc38d9d538d89f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Math::Pow</a></div><div class="ttdeci">static proto float Pow(float v, float power)</div><div class="ttdoc">Return power of v ^ power.</div></div>
<div class="ttc" id="agroup___math_html_gaf4c70bf52ed5d2c4d7bcd0b32e987b88"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">Math::GetNumberOfSetBits</a></div><div class="ttdeci">static proto int GetNumberOfSetBits(int i)</div><div class="ttdoc">returns the number of bits set in a bitmask i</div></div>
<div class="ttc" id="agroup___math_html_gafbc28855d0d24deda2fbdd3229c6bac2"><div class="ttname"><a href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math::RandomIntInclusive</a></div><div class="ttdeci">static int RandomIntInclusive(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00053">EnMath.c:53</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_af5a0bbd16f1deac0f80732119cbe418.html">conditions</a></li><li class="navelem"><a class="el" href="../../d2/d8b/_area_exposure_8c.html">AreaExposure.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
